import os
# Use this block for Full storage

from bsddb3Storage.BerkeleyBase import BerkeleyConfig
config = BerkeleyConfig()
# The config instance has four attributes which can be used to tune Full
# storage.  See the BerkeleyConfig class docstring for details.  Briefly,
# numlocks sizes the Berkeley lock table, interval specifies the number of
# ZODB commits after which a Berkeley transaction checkpoint is written, and
# kbyte and min are passed directly to Berkeley's txn_checkpoint() function.
#
# The default number of locks is 20000, but it's not impossible to exhaust
# those if you have transactions with lots of objects in them (e.g. big
# catalog updates).  Cranking this number of does consume system resources.
config.numlocks = 40000

from bsddb3Storage.Full import Full
envpath = os.path.join('var', 'full')
Storage = Full(envpath, config=config)

# Use this block for Autopack
##from bsddb3Storage.Autopack import Autopack
##envpath = os.path.join('var', 'autopack')
##Storage = Autopack(envpath)
